Last Comment Bug 715190 - glEGLImageTargetTexture2DOES shows error 501 frequently
: glEGLImageTargetTexture2DOES shows error 501 frequently
Status: RESOLVED FIXED
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: unspecified
: ARM Android
: -- normal (vote)
: Firefox 12
Assigned To: James Willcox (:snorp) (jwillcox@mozilla.com)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-04 09:52 PST by James Willcox (:snorp) (jwillcox@mozilla.com)
Modified: 2012-01-19 09:11 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
11+


Attachments
Clear existing GL errors before trying to check for a new one (1.66 KB, patch)
2012-01-04 09:54 PST, James Willcox (:snorp) (jwillcox@mozilla.com)
no flags Details | Diff | Splinter Review
Clear existing GL errors before trying to check for a new one (1.75 KB, patch)
2012-01-04 09:56 PST, James Willcox (:snorp) (jwillcox@mozilla.com)
chrislord.net: review+
blassey.bugs: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description James Willcox (:snorp) (jwillcox@mozilla.com) 2012-01-04 09:52:57 PST
This is actually from other GL commands and not the one it is reporting. Should fix this up so at least it doesn't show bogus errors.
Comment 1 James Willcox (:snorp) (jwillcox@mozilla.com) 2012-01-04 09:54:34 PST
Created attachment 585797 [details] [diff] [review]
Clear existing GL errors before trying to check for a new one
Comment 2 James Willcox (:snorp) (jwillcox@mozilla.com) 2012-01-04 09:56:05 PST
Created attachment 585798 [details] [diff] [review]
Clear existing GL errors before trying to check for a new one
Comment 3 Chris Lord [:cwiiis] 2012-01-04 10:14:39 PST
Comment on attachment 585798 [details] [diff] [review]
Clear existing GL errors before trying to check for a new one

Review of attachment 585798 [details] [diff] [review]:
-----------------------------------------------------------------

Fine by me - I wonder if we want to have wrappers for GL commands though (I think gfx does this?) that will read and report errors automatically for debug builds, or something along those lines... But this can be addressed in a future patch.

Optionally, it'd be cool to have comments above the while loops, at least in the Java file, explaining why it's being done - something like "GL errors may have been encountered elsewhere, but we're only interested in those that occur here"
Comment 4 James Willcox (:snorp) (jwillcox@mozilla.com) 2012-01-04 10:38:10 PST
I think there might be a debug EGLContext in Android that basically wraps everything and checks for errors. Maybe we should just add support for using that and ditch the specific error checking.

In the mean time I'll add the comment and check this in.
Comment 5 James Willcox (:snorp) (jwillcox@mozilla.com) 2012-01-04 18:56:40 PST
Pushed to mozilla-inbound:

http://hg.mozilla.org/integration/mozilla-inbound/rev/4d652a824f11
Comment 6 James Willcox (:snorp) (jwillcox@mozilla.com) 2012-01-05 07:54:50 PST
Landed on mozilla-central:

https://hg.mozilla.org/mozilla-central/rev/4d652a824f11
Comment 7 Brad Lassey [:blassey] (use needinfo?) 2012-01-18 19:40:44 PST
Comment on attachment 585798 [details] [diff] [review]
Clear existing GL errors before trying to check for a new one

[Triage Comment]
Comment 8 Brad Lassey [:blassey] (use needinfo?) 2012-01-19 09:11:40 PST
https://hg.mozilla.org/releases/mozilla-aurora/rev/d53dfe552b54

Note You need to log in before you can comment on or make changes to this bug.